TeamTalk 5 Java DLL Version 5.22A

Loading...
Searching...
No Matches
Public Attributes | List of all members
BearWare.JitterConfig Struct Reference
Client/Server Connectivity

Configuration parameters for the Jitter Buffer. More...

## Public Attributes

int | nFixedDelayMSec
| The fixed delay in milliseconds. Default = 0.
bool | bUseAdativeDejitter
| Turns adaptive jitter buffering ON/OFF. Default is OFF.
int | nMaxAdaptiveDelayMSec
| A hard maximum delay on the adaptive delay. Only valid when higher than zero. Default = 0.
int | nActiveAdaptiveDelayMSec
| The current adaptive delay. When used with TeamTalkBase.SetUserJitterControl(), this value is used as the adaptive jitter delay starting at the next voice stream of the user. Default = 0, meaning the value will not be used. When returned via TT_GetUserJitterControl, it contains the currently active adaptive jitter delay.

## Detailed Description

Configuration parameters for the Jitter Buffer.

See also
  TeamTalkBase.SetUserJitterControl()

Definition at line 3002 of file TeamTalk.cs.

## Member Data Documentation

## ◆ nFixedDelayMSec

int BearWare.JitterConfig.nFixedDelayMSec

The fixed delay in milliseconds. Default = 0.

Definition at line 3005 of file TeamTalk.cs.

## ◆ bUseAdativeDejitter

bool BearWare.JitterConfig.bUseAdativeDejitter

Turns adaptive jitter buffering ON/OFF. Default is OFF.

Definition at line 3007 of file TeamTalk.cs.

## ◆ nMaxAdaptiveDelayMSec

int BearWare.JitterConfig.nMaxAdaptiveDelayMSec

A hard maximum delay on the adaptive delay. Only valid when higher than zero. Default = 0.

Definition at line 3010 of file TeamTalk.cs.

## ◆ nActiveAdaptiveDelayMSec

int BearWare.JitterConfig.nActiveAdaptiveDelayMSec

The current adaptive delay. When used with TeamTalkBase.SetUserJitterControl(), this value is used as the adaptive jitter delay starting at the next voice stream of the user. Default = 0, meaning the value will not be used. When returned via TT_GetUserJitterControl, it contains the currently active adaptive jitter delay.

Definition at line 3017 of file TeamTalk.cs.